function vec = Cov2Vector(dat)
%  function vec = Cov2Vector(dat)
%  returns upper triangle part of covariance as a row vector
%  inputs:
%     dat: data with observations on rows
%  outputs:
%     vec: row vector of triu(cov(dat))
%  REA 2011-Jul-18 9:22 - 2011-Aug-5 10:11
%  COPYRIGHT:   Aprend Technology, 2011. All rights reserved.


cv = cov(dat);
idx = triu(true(size(cv))); % indexes to upper triangle part of covariance so do not get dups
vec = cv(idx)';